[data-contenttype="text-marquee"] {
    --black: #000;
    --text-marquee-primary: #FF3131;
}
[data-contenttype="text-marquee"] {
    color: var(--black);
    margin-top: 2rem;
    margin-bottom: 2rem;
    min-height: 10rem;
    font-size: 1.875rem;
    font-weight: 500;
    line-height: 1;
    position: relative;
    text-transform: uppercase;
}
.marquee-text {
    line-height: 1.25;
    overflow: clip;
    position: absolute;
    top: 50%;
    transform-origin: 25%;
    transform: rotate(-2.5deg) translateY(-50%);
    background-color: var(--text-marquee-primary);
    padding-top: 1rem;
    padding-bottom: 1rem;
}
[data-contenttype="text-marquee"] .marquee-text-track {
    animation: marquee-scroll-forwards 10s linear infinite;
    display: flex;
    user-select: none;
    width: max-content;
    --count: 2;
}
[data-contenttype="text-marquee"] .marquee-text-track p {
    margin-bottom: 0;
}
[data-elements="6"] .marquee-text-track {
    --count: 3;
}
[data-elements="8"] .marquee-text-track {
    --count: 4;
}
[data-elements="10"] .marquee-text-track {
    --count: 5;
}
@keyframes marquee-scroll-forwards {
    to { transform: translateX(calc(-100% / var(--count))); }
}
